Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.lock
Class LockStrategyReadUncommitted

    java.lang.Object
      org.jboss.cache.lock.LockStrategyReadUncommitted

All Implemented Interfaces:
  LockStrategy

    public class LockStrategyReadUncommitted

extends java.lang.Object
implements LockStrategy

Transaction isolation level of READ-UNCOMMITTED. Reads always succeed (NullLock), whereas writes are exclusive. It prevents none of the dirty read, non-repeatable read, or phantom read.

Version:
  $Revision: 1.1.1.1 $
Author:
  Ben Wang

Constructor Summary
`LockStrategyReadUncommitted()`

Method Summary
`EDU.oswego.cs.dl.util.concurrent.Sync` | `readLock()` Return a read lock object.
`EDU.oswego.cs.dl.util.concurrent.Sync` | `upgradeLockAttempt(long msecs)` Attempt to upgrade the current read lock to write lock with `msecs` timeout.
`EDU.oswego.cs.dl.util.concurrent.Sync` | `writeLock()` Return a write lock object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockStrategyReadUncommitted

    public LockStrategyReadUncommitted()

Method Detail

### readLock

    public EDU.oswego.cs.dl.util.concurrent.Sync readLock()

  Description copied from interface: `LockStrategy`
  Return a read lock object.

  Specified by:
    `readLock` in interface `LockStrategy`
  Returns:
    Sync (@see EDU.oswego.cs.dl.util.concurrent.Sync)
  See Also:
    `LockStrategy.readLock()`

### upgradeLockAttempt

    public EDU.oswego.cs.dl.util.concurrent.Sync upgradeLockAttempt(long msecs)
                                                             throws UpgradeException

  Description copied from interface: `LockStrategy`
  Attempt to upgrade the current read lock to write lock with `msecs` timeout.

  Specified by:
    `upgradeLockAttempt` in interface `LockStrategy`
  Parameters:
    `msecs` - Timeout in milliseconds.
  Returns:
    Sync object. Will return null if timeout or failed.
  Throws:
    `UpgradeException`
  See Also:
    `LockStrategy.upgradeLockAttempt(long)`

### writeLock

    public EDU.oswego.cs.dl.util.concurrent.Sync writeLock()

  Description copied from interface: `LockStrategy`
  Return a write lock object.

  Specified by:
    `writeLock` in interface `LockStrategy`
  Returns:
    Sync (@see EDU.oswego.cs.dl.util.concurrent.Sync)
  See Also:
    `LockStrategy.writeLock()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.